Package org.eclipse.birt.chart.model.attribute

# Interface Rotation3D

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `Rotation3DImpl`

public interface Rotation3D extends IChartObject
A representation of the model object 'Rotation3 D'. Rotation3D represents how a 3D object is rotated from its initial attitude.

The following features are supported:

- `Angles`

See Also:
  - `AttributePackage.getRotation3D()`

## Method Summary

Modifier and Type
Method
Description
`Rotation3D`
`copyInstance()`
`org.eclipse.emf.common.util.EList<Angle3D>`
`getAngles()`
Returns the value of the 'Angles' containment reference list.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getAngles

org.eclipse.emf.common.util.EList<Angle3D> getAngles()
Returns the value of the 'Angles' containment reference list. The list contents are of type `Angle3D`.

If the meaning of the 'Angles' containment reference list isn't clear, there really should be more of a description here...

The list element "Angles" provides a series of Angle3D, each of which represents a rotation action, with the angle values indicate how many degrees the object will be rotated around the corresponding axis.

Returns:
  the value of the 'Angles' containment reference list.
See Also:
  - `AttributePackage.getRotation3D_Angles()`

### copyInstance

Rotation3D copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`